package genetic

import neuralnetwork "../neuralnetwork"

type IndividalResult struct {
	Result float64
	Index  int
}

type PopulationVerifier interface {
	Verify(*Population) []*IndividalResult
}

type Mutagen interface {
	Mutate(network *neuralnetwork.NeuralNetwork)
}
